/*----------------------------------------------------------------------------
 * File:  Location_dom_init.c
 *
 * Initialization services for the following domain:
 * Domain:      Location
 * Repository:  Location
 * (C) Copyright 1998-2009 Mentor Graphics Corporation.  All rights reserved.
 *--------------------------------------------------------------------------*/

#include "sys_types.h"
#include "Location_classes.h"
#include "Location_dom_init.h"

/* xtUML class info (collections, sizes, etc.) */
Escher_Extent_t * const Location_class_info[ Location_MAX_CLASS_NUMBERS ] = {
  Location_CLASS_INFO_INIT
};

/*
 * Array of pointers to the class event dispatcher method.
 * Index is the (model compiler enumerated) number of the state model.
 */
const EventTaker_t Location_EventDispatcher[ Location_STATE_MODELS ] = {
  Location_class_dispatchers
};

void Location_dom_init()
{

}
