/*----------------------------------------------------------------------------
 * File:  Tracking_dom_init.c
 *
 * Initialization services for the following domain:
 * Domain:      Tracking
 * Repository:  Tracking
 * (C) Copyright 1998-2009 Mentor Graphics Corporation.  All rights reserved.
 *--------------------------------------------------------------------------*/

#include "sys_types.h"
#include "Tracking_classes.h"
#include "Tracking_dom_init.h"

/* xtUML class info (collections, sizes, etc.) */
Escher_Extent_t * const Tracking_class_info[ Tracking_MAX_CLASS_NUMBERS ] = {
  Tracking_CLASS_INFO_INIT
};

/*
 * Array of pointers to the class event dispatcher method.
 * Index is the (model compiler enumerated) number of the state model.
 */
const EventTaker_t Tracking_EventDispatcher[ Tracking_STATE_MODELS ] = {
  Tracking_class_dispatchers
};

void Tracking_dom_init()
{

}
