/*----------------------------------------------------------------------------
 * File:  Tracking_ports.h"
 *
 * UML Port Messages (Operations and Signals)
 *
 * (C) Copyright 1998-2009 Mentor Graphics Corporation.  All rights reserved.
 *--------------------------------------------------------------------------*/

#ifndef TRACKING_PORTS_H
#define TRACKING_PORTS_H

#ifdef	__cplusplus
extern "C" {
#endif

extern void Tracking_UI_setTime( i_t );
extern void Tracking_UI_setData( s2_t, r4_t );
extern r4_t Tracking_UTIL_getDistance( sys_sdt_Location, sys_sdt_Location );
extern void Tracking_LOC_locationUpdate( sys_sdt_Location );
extern void Tracking_LOC_registerListener( void );
extern void Tracking_LOC_unregisterListener( void );
extern void Tracking_UI_lapResetPressed( void );
extern void Tracking_UI_startStopPressed( void );
extern void Tracking_UI_lightPressed( void );
extern void Tracking_UI_modePressed( void );
extern void Tracking_UI_setTargetPressed( void );
extern void Tracking_HR_heartRateChanged( r4_t );
extern void Tracking_HR_registerListener( void );
extern void Tracking_HR_unregisterListener( void );


#ifdef	__cplusplus
}
#endif

#endif  /* TRACKING_PORTS_H */
