/*----------------------------------------------------------------------------
 * File:  UI_dom_init.c
 *
 * Initialization services for the following domain:
 * Domain:      UI
 * Repository:  UI
 * (C) Copyright 1998-2009 Mentor Graphics Corporation.  All rights reserved.
 *--------------------------------------------------------------------------*/

#include "sys_types.h"
#include "UI_classes.h"
#include "UI_dom_init.h"
#include "UI_functions.h"

/* xtUML class info (collections, sizes, etc.) */
Escher_Extent_t * const UI_class_info[ UI_MAX_CLASS_NUMBERS ] = {
  UI_CLASS_INFO_INIT
};

/*
 * Array of pointers to the class event dispatcher method.
 * Index is the (model compiler enumerated) number of the state model.
 */
const EventTaker_t UI_EventDispatcher[ UI_STATE_MODELS ] = {
  UI_class_dispatchers
};

void UI_dom_init()
{
  /*
   * Initialization Function:  init
   * Domain:                   UI
   * Repository:               UI
   */
  UI_init();


}
