/*----------------------------------------------------------------------------
 * File:  UI_functions.c"
 *
 * UML Domain Functions (Synchronous Services) and Port Operations
 *
 * (C) Copyright 1998-2009 Mentor Graphics Corporation.  All rights reserved.
 *--------------------------------------------------------------------------*/

#include "sys_types.h"
#include "TIM_bridge.h"
#include "ARCH_bridge.h"
#include "LOG_bridge.h"
#include "GuiBridge_bridge.h"
#include "UI_functions.h"



/*
 * Domain Function:  RunTestCase
 */
void
UI_RunTestCase( void )
{
  /* TestCase::execute() */
  ROX_BPAL_STMT_TRACE( 1, "TestCase::execute()" )
  UI_TestCase_op_execute();

}


/*
 * Domain Function:  init
 */
void
UI_init( void )
{
  /* GuiBridge::connect(  ) */
  ROX_BPAL_STMT_TRACE( 1, "GuiBridge::connect(  )" )
  GuiBridge_connect();

}

